table! {
    maintainers (id) {
        id -> Uuid,
        name -> Text,
        email -> Text,
    }
}

table! {
    packages (id) {
        id -> Uuid,
        name -> Text,
        #[sql_name = "type"]
        type_ -> Package_type,
        version -> Text,
        source -> Nullable<Text>,
        section -> Nullable<Text>,
        priority -> Nullable<Text>,
        architecture -> Text,
        essential -> Nullable<Bool>,
        installed_size -> Nullable<Int4>,
        maintainer_id -> Uuid,
        description -> Text,
        homepage -> Nullable<Text>,
    }
}

joinable!(packages -> maintainers (maintainer_id));

allow_tables_to_appear_in_same_query!(
    maintainers,
    packages,
);
